{
    "name": "crafter-asset",
    "configurations": [
        {
            "name": "base",
            "standard": "c++26",
            "source_files": ["Crafter.Asset-Asset"],
            "module_files": ["Crafter.Asset-Asset", "Crafter.Asset"],
            "build_dir": "build",
            "output_dir": "bin"
        },
        {
            "name": "executable",
            "extends": ["base"],
            "type":"executable",
            "source_files": ["main"]
        },
        {
            "name": "executable-debug",
            "extends": ["executable"],
            "debug": true
        },
        {
            "name": "executable-release",
            "extends": ["executable"],
            "optimization_level": "3"
        },
        {
            "name": "lib",
            "extends": ["base"],
            "type":"library"
        },
        {
            "name": "lib-debug",
            "extends": ["lib"],
            "debug": true
        },
        {
            "name": "lib-release",
            "extends": ["lib"],
            "debug": true
        }
    ]
}
